ch.qos.logback.core.joran.event

## Class StartEvent

- java.lang.Object
- - ch.qos.logback.core.joran.event.SaxEvent
  - - ch.qos.logback.core.joran.event.StartEvent

    public class StartEvent
    extends SaxEvent

### Field Summary

Fields
`org.xml.sax.Attributes` `attributes`
`ElementPath` `elementPath`

### Fields inherited from class ch.qos.logback.core.joran.event.SaxEvent

`localName, locator, namespaceURI, qName`

### Method Summary

Methods
`org.xml.sax.Attributes` `getAttributes()`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.joran.event.SaxEvent

`getLocalName, getLocator, getNamespaceURI, getQName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### attributes

    public final org.xml.sax.Attributes attributes

#### elementPath

    public final ElementPath elementPath

### Method Detail

#### getAttributes

    public org.xml.sax.Attributes getAttributes()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`